Initiate Binder User Action
Initiate a user action. Before initiating, you should retrieve any applicable entry criteria for the action.
Only some user action types can be initiated through the API. See supported user actions.
The authenticated user must have permission to initiate this action. To check permissions, Retrieve User Actions and check for actions where executable__v is true.
PUT
/api/{version}/objects/binders/{binder_id}/versions/{major_version}/{minor_version}/lifecycle_actions/{name__v}Headers
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{binder_id} | The binder id field value on which to initiate the user action. |
{major_version} | The major version number of the binder. |
{minor_version} | The minor version number of the binder. |
{name__v} | The action name__v field value to initiate. Retrieve this value from Retrieve User Action. |
Request
Section link for Requestcurl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d 'user_control_multiple__c=user%3A10001400&date_control__c=2019-10-31'\
https://myvault.veevavault.com/api/v26.1/objects/binders/17/versions/0/1/lifecycle_actions/start_approval__cResponse
Section link for Response{
"responseStatus": "SUCCESS",
"id": 17,
"workflow_id__v": "401"
}